#! /bin/sh

# Program the 256KB integer firmware to the Mizar32 over a USB cable.

# Quit if any command fails unexpectedly
set -e

echo Erasing...
# The 512K model has automative-quality silicon, which takes longer to erase
# than dfu-programmer expects so, if it fails, allow extra time.
sudo dfu-programmer at32uc3a0256 erase || sleep 5
echo Programming...
sudo dfu-programmer at32uc3a0256 flash elua_lualong_at32uc3a0256.hex
echo Starting...
sudo dfu-programmer at32uc3a0256 start
